Bug 84417 - [Chromium] Remove PlatformSupport::loadPlatformImageResource, call loadResource directly
Summary: [Chromium] Remove PlatformSupport::loadPlatformImageResource, call loadResour...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mark Pilgrim (Google)
URL:
Keywords:
Depends on:
Blocks: 82948
  Show dependency treegraph
 
Reported: 2012-04-19 20:27 PDT by Mark Pilgrim (Google)
Modified: 2012-05-09 15:05 PDT (History)
6 users (show)

See Also:


Attachments
Patch (5.12 KB, patch)
2012-04-19 20:28 PDT, Mark Pilgrim (Google)
no flags Details | Formatted Diff | Diff
Patch (7.95 KB, patch)
2012-05-09 07:44 PDT, Mark Pilgrim (Google)
no flags Details | Formatted Diff | Diff
Patch (7.94 KB, patch)
2012-05-09 11:57 PDT, Mark Pilgrim (Google)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Pilgrim (Google) 2012-04-19 20:27:27 PDT
[Chromium] Remove PlatformSupport::loadPlatformImageResource, call loadResource directly
Comment 1 Mark Pilgrim (Google) 2012-04-19 20:28:04 PDT
Created attachment 138035 [details]
Patch
Comment 2 Mark Pilgrim (Google) 2012-04-19 20:29:09 PDT
Duplicates some code between ImageChromium.cpp and ImageChromiumMac.mm. Problem?
Comment 3 Kentaro Hara 2012-04-20 01:16:57 PDT
Comment on attachment 138035 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=138035&action=review

> Duplicates some code between ImageChromium.cpp and ImageChromiumMac.mm. Problem?

Yeah, we want to avoid duplication.

> Source/WebCore/platform/graphics/chromium/ImageChromiumMac.mm:41
> +#include <public/Platform.h>

Nit: This header is duplicated.
Comment 4 Mark Pilgrim (Google) 2012-05-09 07:44:58 PDT
Created attachment 140943 [details]
Patch
Comment 5 Mark Pilgrim (Google) 2012-05-09 07:46:04 PDT
After discussion with abarth, this new patch removes ImageChromiumMac.mm and all references in build scripts, thus eliminating the duplicate code problem.
Comment 6 Adam Barth 2012-05-09 09:08:27 PDT
Comment on attachment 140943 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=140943&action=review

> Source/WebCore/platform/graphics/chromium/ImageChromium.cpp:51
> +    return image;

image.release();
^^ Transfers the reference from the RefPtr to the PassRefPtr, saving an increment and a decrement on the refcount.
Comment 7 Mark Pilgrim (Google) 2012-05-09 11:57:52 PDT
Created attachment 140988 [details]
Patch
Comment 8 Mark Pilgrim (Google) 2012-05-09 11:58:22 PDT
(In reply to comment #6)
> (From update of attachment 140943 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=140943&action=review
> 
> > Source/WebCore/platform/graphics/chromium/ImageChromium.cpp:51
> > +    return image;
> 
> image.release();
> ^^ Transfers the reference from the RefPtr to the PassRefPtr, saving an increment and a decrement on the refcount.

Included in latest patch.
Comment 9 WebKit Review Bot 2012-05-09 15:05:45 PDT
Comment on attachment 140988 [details]
Patch

Clearing flags on attachment: 140988

Committed r116561: <http://trac.webkit.org/changeset/116561>
Comment 10 WebKit Review Bot 2012-05-09 15:05:51 PDT
All reviewed patches have been landed.  Closing bug.